apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: drone-agent
spec:
  replicas: 1
  template:
    metadata:
      labels:
        environment: qa
        tier: backend
        app: drone-agent
    spec:
      containers:
      - name: drone-agent
        image: drone/agent:0.8.5
        imagePullPolicy: Always
        resources:
          requests:
            memory: "128Mi"
            cpu: "100m"
          limits:
            memory: "128Mi"
            cpu: "100m"
        volumeMounts:
          - mountPath: /var/run/docker.sock
            name: docker-socket
        env:
          - name: DRONE_SERVER
            value: $(DRONE_SERVER_SERVICE_HOST):9000
          - name: DRONE_SECRET
            valueFrom:
              secretKeyRef:
                name: drone
                key: secret_key
      volumes:
        - name: docker-socket
          hostPath:
            path: /var/run/docker.sock
        - name: drone-lib
          hostPath:
            path: /var/lib/drone